complexType "ConstituentWeight"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 elements
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | openUnits? | basketPercentage? | basketAmount?
</...>

Content Model Elements (3):

  basketAmount, basketPercentage, | openUnits (in constituentWeight)

All Direct / Indirect Based Elements (1):

  constituentWeight

Known Usage Locations

- As direct type of elements (1):
  constituentWeight

Annotation
A type describing the weight of each of the underlyer constituent within the basket, either in absolute or relative terms.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ConstituentWeight"> <xsd:choice> <xsd:element minOccurs="0" name="openUnits" type="xsd:decimal"/> <xsd:element minOccurs="0" name="basketPercentage" type="RestrictedPercentage"/> <xsd:element fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="Basket Amount is not present in ISDA documentation or otherwise, basket is weighted on percentage (relative weight) or open units (absolute weight), both of which are stable expressions." minOccurs="0" name="basketAmount" type="Money"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
basketAmount

  Type: | Money, complex content

  DEPRECATED. The relative weight of each respective basket constituent, expressed as a monetary amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="Basket Amount is not present in ISDA documentation or otherwise, basket is weighted on percentage (relative weight) or open units (absolute weight), both of which are stable expressions." minOccurs="0" name="basketAmount" type="Money"/>

basketPercentage

  Type: | RestrictedPercentage, simple content

  The relative weight of each respective basket constituent, expressed in percentage. A basket percentage of 5% would be represented as 0.05.
  Simple Content

  xsd:decimal

  maxInclusive: | 1
  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="basketPercentage" type="RestrictedPercentage"/>

openUnits

  Type: | xsd:decimal, predefined, simple content

  The number of units (index or securities) that constitute the underlyer of the swap. In the case of a basket swap, this element is used to reference both the number of basket units, and the number of each asset components of the basket when these are expressed in absolute terms.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="openUnits" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.